' ---------------------------------------------------------------------------------------
'
' ManRefMain.VB                                                    Ulrich Mller 15.06.04
'                                                                  PCS1700   VB.NET Final
' Testramen FishStep von FishFa30.DLL
'
' ---------------------------------------------------------------------------------------

Option Explicit On 
Option Strict Off
Imports FishFa30

Public Class ManRefStep
  Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

  Public Sub New()
    MyBase.New()

    ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
    InitializeComponent()

    ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen

  End Sub

  ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  ' Fr Windows Form-Designer erforderlich
  Private components As System.ComponentModel.IContainer

  'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
  'Sie kann mit dem Windows Form-Designer modifiziert werden.
  'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
  Friend WithEvents cmdAction As System.Windows.Forms.Button
  Friend WithEvents lblStatus As System.Windows.Forms.Label
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
    Me.lblStatus = New System.Windows.Forms.Label()
    Me.cmdAction = New System.Windows.Forms.Button()
    Me.SuspendLayout()
    '
    'lblStatus
    '
    Me.lblStatus.Font = New System.Drawing.Font("Tahoma", 11.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
    Me.lblStatus.Location = New System.Drawing.Point(16, 16)
    Me.lblStatus.Name = "lblStatus"
    Me.lblStatus.Size = New System.Drawing.Size(264, 32)
    Me.lblStatus.TabIndex = 0
    Me.lblStatus.Text = "Status"
    Me.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
    '
    'cmdAction
    '
    Me.cmdAction.Location = New System.Drawing.Point(16, 104)
    Me.cmdAction.Name = "cmdAction"
    Me.cmdAction.Size = New System.Drawing.Size(264, 32)
    Me.cmdAction.TabIndex = 1
    Me.cmdAction.Text = "&ACTION"
    '
    'ManRefStep
    '
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(292, 165)
    Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.cmdAction, Me.lblStatus})
    Me.Name = "ManRefStep"
    Me.Text = "Form1"
    Me.ResumeLayout(False)

  End Sub

#End Region

  Dim WithEvents ft As New FishStep(New Integer(,) {{1, 456}, {3, 456}})
  Const mPlotter = 1

  Private Sub cmdAction_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles cmdAction.Click
    Try
      ft.OpenInterface(Port.COM2)
      lblStatus.Text = "Fhrt in linke untere Ecke (Home E1/E5)"
      ft.PlotHome(mPlotter)
      lblStatus.Text = "Anfahren 50/50"
      ft.PlotTo(mPlotter, 50, 50)
      lblStatus.Text = "Zeichnen eines Quadrats"
      Vieleck(New Integer(,) {{50, 0}, {0, 50}, {-50, 0}, {0, -50}})
      lblStatus.Text = "Das war's"
    Catch eft As FishFaceException
      lblStatus.Text = eft.Message
    Finally
      ft.CloseInterface()
    End Try
  End Sub

  Private Sub ft_StepChange(ByVal sender As Object, ByVal MotNr As Integer, _
                            ByVal ActPosition As Integer) Handles ft.StepChange
    lblStatus.Text = String.Format("Fahrstuhl auf Etage : {0} | {1:00}", _
                                     Int(ActPosition / 50), (ActPosition Mod 50))
  End Sub

  Private Sub ft_PlotChange(ByVal sender As Object, ByVal MotNr As Integer, _
                      ByVal Xact As Integer, ByVal Yact As Integer) Handles ft.PlotChange
    lblStatus.Text = String.Format("Akt. Plot-Position : {0} / {1}", Xact, Yact)
  End Sub

  Private Sub Vieleck(ByVal RelList(,) As Integer)
    Dim i%
    For i = 0 To UBound(RelList)
      ft.PlotDelta(mPlotter, RelList(i, 0), RelList(i, 1))
    Next i
  End Sub
End Class
